# Uses of Class
jspecview.common.JSViewer

Packages that use JSViewer
Package
Description
jspecview.api
jspecview.app
jspecview.appletjs
jspecview.application
jspecview.common
jspecview.dialog
jspecview.export
jspecview.java
jspecview.js2d
jspecview.popup
jspecview.tree

## Uses of JSViewer in jspecview.api

Methods in jspecview.api with parameters of type JSViewer
Modifier and Type
Method
Description
`void`
AppletFrame.`createMainPanel(JSViewer viewer)`
`String`
JSVExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`JSVPanel`
AppletFrame.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`JSVFileDropper`
JSVFileDropper.`set(JSViewer viewer)`
`JSVFileHelper`
JSVFileHelper.`set(JSViewer jsViewer)`
`void`
AppletFrame.`setDropTargetListener(boolean isSigned, JSViewer viewer)`
`void`
JSVMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`
`String`
ExportInterface.`write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)`
from EXPORT command

## Uses of JSViewer in jspecview.app

Fields in jspecview.app declared as JSViewer
Modifier and Type
Field
Description
`JSViewer`
JSVApp.`vwr`

## Uses of JSViewer in jspecview.appletjs

Fields in jspecview.appletjs declared as JSViewer
Modifier and Type
Field
Description
`JSViewer`
JSVApplet.`viewer`
Methods in jspecview.appletjs with parameters of type JSViewer
Modifier and Type
Method
Description
`void`
JSVApplet.`createMainPanel(JSViewer viewer)`
`JSVPanel`
JSVApplet.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`void`
JSVApplet.`setDropTargetListener(boolean isSigned, JSViewer viewer)`

## Uses of JSViewer in jspecview.application

Fields in jspecview.application declared as JSViewer
Modifier and Type
Field
Description
`protected JSViewer`
ApplicationMenu.`jsvViewer`
`protected JSViewer`
AppToolBar.`vwr`
`protected JSViewer`
AwtTree.`vwr`
Constructors in jspecview.application with parameters of type JSViewer
Modifier
Constructor
Description
``
`AwtTree(JSViewer viewer)`
``
`CommandHistory(JSViewer viewer, JTextField commandInput)`
``
`PreferencesDialog(Frame frame, JSViewer viewer, String title, boolean modal, DisplaySchemesProcessor dsp)`
Initialises the `PreferencesDialog`

## Uses of JSViewer in jspecview.common

Methods in jspecview.common with parameters of type JSViewer
Modifier and Type
Method
Description
`static void`
JSVFileManager.`setDocumentBase(JSViewer v, URL documentBase)`
`static void`
SyncManager.`syncFromJmol(JSViewer vwr, String peakScript)`
incoming script processing of invalid input: '<'PeakAssignment file="" type="xxx"...> record from Jmol
Constructors in jspecview.common with parameters of type JSViewer
Modifier
Constructor
Description
``
`PanelData(JSVPanel panel, JSViewer viewer)`
``
`RepaintManager(JSViewer viewer)`

## Uses of JSViewer in jspecview.dialog

Fields in jspecview.dialog declared as JSViewer
Modifier and Type
Field
Description
`protected JSViewer`
DialogManager.`vwr`
`protected JSViewer`
JSVDialog.`vwr`
Methods in jspecview.dialog with parameters of type JSViewer
Modifier and Type
Method
Description
`DialogManager`
DialogManager.`set(JSViewer viewer)`
`JSVDialog`
JSVDialog.`setParams(String title, JSViewer viewer, Spectrum spec)`
required initializer; from JSViewer

## Uses of JSViewer in jspecview.export

Fields in jspecview.export declared as JSViewer
Modifier and Type
Field
Description
`protected JSViewer`
FormExporter.`vwr`
`protected JSViewer`
FormExporter.`vwr`
`protected JSViewer`
FormExporter.`vwr`
Methods in jspecview.export with parameters of type JSViewer
Modifier and Type
Method
Description
`void`
ExportInterface.`exportSpectrum(JSViewer viewer, String type)`
`String`
AMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
CMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
Exporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
JDXExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spectrum, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports spectrum in one of several formats
`String`
SVGExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Export a Graph as SVG to a file given by fileName
`String`
ExportInterface.`printPDF(JSViewer viewer, String pdfFileName)`
`String`
Exporter.`write(JSViewer viewer, Lst<String> tokens, boolean forInkscape)`

## Uses of JSViewer in jspecview.java

Methods in jspecview.java with parameters of type JSViewer
Modifier and Type
Method
Description
`static AwtPanel`
AwtPanel.`getEmptyPanel(JSViewer viewer)`
Constructs a new JSVPanel
`static AwtPanel`
AwtPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed
`static AwtPanel`
AwtPanel.`getPanelOne(JSViewer viewer, Spectrum spectrum)`
Constructs a new JSVPanel
`AwtFileDropper`
AwtFileDropper.`set(JSViewer viewer)`
`AwtFileHelper`
AwtFileHelper.`set(JSViewer viewer)`
`void`
AwtMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of JSViewer in jspecview.js2d

Methods in jspecview.js2d with parameters of type JSViewer
Modifier and Type
Method
Description
`static JsPanel`
JsPanel.`getEmptyPanel(JSViewer viewer)`
Constructs a new JSVPanel
`static JsPanel`
JsPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed
`JSVFileHelper`
JsFileHelper.`set(JSViewer viewer)`
`void`
JsMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of JSViewer in jspecview.popup

Fields in jspecview.popup declared as JSViewer
Modifier and Type
Field
Description
`protected JSViewer`
JSVGenericPopup.`vwr`
Methods in jspecview.popup with parameters of type JSViewer
Modifier and Type
Method
Description
`protected void`
JSVGenericPopup.`initialize(JSViewer viewer, PopupResource bundle, String title)`

## Uses of JSViewer in jspecview.tree

Fields in jspecview.tree declared as JSViewer
Modifier and Type
Field
Description
`protected JSViewer`
SimpleTree.`vwr`
Constructors in jspecview.tree with parameters of type JSViewer
Modifier
Constructor
Description
``
`SimpleTree(JSViewer viewer)`